Create Opration Destination
curl --request POST \
--url https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/destination \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '{
"payload": {}
}'import requests
url = "https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/destination"
payload = { "payload": {} }
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({payload: {}})
};
fetch('https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/destination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "walletId",
"assetOpration": {
"operationDestination": {
"operationDestinationAddress": {
"data": [
{
"name": "name",
"type": "number",
"value": "value"
},
{
"name": "name",
"type": "number",
"value": "value"
}
],
"type": "wallet_owner_platform"
},
"type": "asset",
"direction": "source"
},
"isSameWallet": true,
"fees": [
{
"paidBy": "source",
"feeSharing": {
"destination": [
null,
null
]
},
"appliedTo": "base",
"feeApi": "feeApi",
"feeValue": {
"balanceType": "current",
"name": "name",
"instanceRef": {
"refferTo": ""
},
"value": "value"
},
"type": "fixed",
"group": 5.637376656633329,
"order": 2.3021358869347655
},
{
"paidBy": "source",
"feeSharing": {
"destination": [
null,
null
]
},
"appliedTo": "base",
"feeApi": "feeApi",
"feeValue": {
"balanceType": "current",
"name": "name",
"instanceRef": {
"refferTo": ""
},
"value": "value"
},
"type": "fixed",
"group": 5.637376656633329,
"order": 2.3021358869347655
}
],
"name": "name",
"operationType": "buy",
"id": {
"auditData": {
"createdAt": "2000-01-23T04:56:07.000Z",
"archivedAt": "2000-01-23T04:56:07.000Z",
"deletedAt": "2000-01-23T04:56:07.000Z",
"updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"updatedAt": "2000-01-23T04:56:07.000Z"
},
"tenantId": "tenantId",
"entityId": "",
"ownerId": "ownerId"
},
"limits": [
{
"action": "deny",
"priority": 0.8008281904610115,
"conditions": [
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
},
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
}
],
"enforcementPoint": [
"UI",
"UI"
],
"order": 6.027456183070403
},
{
"action": "deny",
"priority": 0.8008281904610115,
"conditions": [
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
},
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
}
],
"enforcementPoint": [
"UI",
"UI"
],
"order": 6.027456183070403
}
],
"assetType": "currency"
},
"assetId": "assetId",
"tenantId": "tenantId"
}{
"httpCode": 123,
"internalCode": 123,
"internalType": "<string>",
"severity": "<string>",
"description": "<string>"
}Operation Destination
Create Opration Destination
POST
/
{walletId}
/
asset
/
{assetId}
/
operation
/
{operationId}
/
destination
Create Opration Destination
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Sample Payload
Response
successful operation
Show child attributes
Show child attributes
Example:
{ "operationDestination": { "operationDestinationAddress": { "data": [ { "name": "name", "type": "number", "value": "value" }, { "name": "name", "type": "number", "value": "value" } ], "type": "wallet_owner_platform" }, "type": "asset", "direction": "source" }, "isSameWallet": true, "fees": [ { "paidBy": "source", "feeSharing": { "destination": [null, null] }, "appliedTo": "base", "feeApi": "feeApi", "feeValue": { "balanceType": "current", "name": "name", "instanceRef": { "refferTo": "" }, "value": "value" }, "type": "fixed", "group": 5.637376656633329, "order": 2.3021358869347655 }, { "paidBy": "source", "feeSharing": { "destination": [null, null] }, "appliedTo": "base", "feeApi": "feeApi", "feeValue": { "balanceType": "current", "name": "name", "instanceRef": { "refferTo": "" }, "value": "value" }, "type": "fixed", "group": 5.637376656633329, "order": 2.3021358869347655 } ], "name": "name", "operationType": "buy", "id": { "auditData": { "createdAt": "2000-01-23T04:56:07.000Z", "archivedAt": "2000-01-23T04:56:07.000Z", "deletedAt": "2000-01-23T04:56:07.000Z", "updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "updatedAt": "2000-01-23T04:56:07.000Z" }, "tenantId": "tenantId", "entityId": "", "ownerId": "ownerId" }, "limits": [ { "action": "deny", "priority": 0.8008281904610115, "conditions": [ { "priority": 1.4658129805029452, "operation": "lessThan", "requirementType": "kyc", "order": 5.962133916683182 }, { "priority": 1.4658129805029452, "operation": "lessThan", "requirementType": "kyc", "order": 5.962133916683182 } ], "enforcementPoint": ["UI", "UI"], "order": 6.027456183070403 }, { "action": "deny", "priority": 0.8008281904610115, "conditions": [ { "priority": 1.4658129805029452, "operation": "lessThan", "requirementType": "kyc", "order": 5.962133916683182 }, { "priority": 1.4658129805029452, "operation": "lessThan", "requirementType": "kyc", "order": 5.962133916683182 } ], "enforcementPoint": ["UI", "UI"], "order": 6.027456183070403 } ], "assetType": "currency" }
⌘I

